"use strict";
var __webpack_exports__ = {};
const jsx_runtime_namespaceObject = require("react/jsx-runtime");
require("react");
const client_namespaceObject = require("@tachybase/test/client");
const external_CurrentUser_js_namespaceObject = require("../CurrentUser.js");
const external_CurrentUserSettingsMenuProvider_js_namespaceObject = require("../CurrentUserSettingsMenuProvider.js");
const AppContextProvider = (props)=>/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)("div", {});
describe.skip('CurrentUserSettingsMenuProvider', ()=>{
    const wrapper = (param)=>{
        let { children } = param;
        return /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsxs)(AppContextProvider, {
            children: [
                /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(external_CurrentUser_js_namespaceObject.SettingsMenu, {}),
                children
            ]
        });
    };
    const TestComponent = ()=>{
        const { getMenuItems } = (0, external_CurrentUserSettingsMenuProvider_js_namespaceObject.useCurrentUserSettingsMenu)();
        getMenuItems();
        return /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)("div", {
            children: "Test"
        });
    };
    it('should throw error when CurrentUserSettingsMenuProvider is not provided', ()=>{
        expect(()=>{
            (0, client_namespaceObject.render)(/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(TestComponent, {}));
        }).toThrowErrorMatchingInlineSnapshot('"CurrentUser: You should use `CurrentUserSettingsMenuProvider` in the root of your app."');
    });
    it('should not throw error when providing context', ()=>{
        expect(()=>{
            (0, client_namespaceObject.render)(/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(TestComponent, {}), {
                wrapper
            });
        }).not.toThrow();
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
